import { AdRecord } from "../records/ad.records";

const defaultObj ={
    name: 'Test Name',
    description: 'pieski małe',
    url: 'https//mega.pl',
    price: 0,
    lat: 53.19,
    lon: 18.00
};

test('Can build AdRecord', () => {
    const ad = new AdRecord(defaultObj);
    
    ;
    expect (ad.name).toBe('Test Name');
    expect(ad.description).toBe('pieski małe')
});


test ('Validates invalid price', () => {
    expect (() => new AdRecord({
        ...defaultObj,
        price: -3,
    })).toThrow( 'Cena nie może być mniejsza niż 0 lub większ niż 9 999 999');
});

// @TODO: Check all the validations